/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// SignUpResult struct for SignUpResult
type SignUpResult struct {
	Session *string `json:"session,omitempty"`
}

// NewSignUpResult instantiates a new SignUpResult object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewSignUpResult() *SignUpResult {
	this := SignUpResult{}
	return &this
}

// NewSignUpResultWithDefaults instantiates a new SignUpResult object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewSignUpResultWithDefaults() *SignUpResult {
	this := SignUpResult{}
	return &this
}

// GetSession returns the Session field value if set, zero value otherwise.
func (o *SignUpResult) GetSession() string {
	if o == nil || o.Session == nil {
		var ret string
		return ret
	}
	return *o.Session
}

// GetSessionOk returns a tuple with the Session field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *SignUpResult) GetSessionOk() (*string, bool) {
	if o == nil || o.Session == nil {
		return nil, false
	}
	return o.Session, true
}

// HasSession returns a boolean if a field has been set.
func (o *SignUpResult) HasSession() bool {
	if o != nil && o.Session != nil {
		return true
	}

	return false
}

// SetSession gets a reference to the given string and assigns it to the Session field.
func (o *SignUpResult) SetSession(v string) {
	o.Session = &v
}

func (o SignUpResult) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Session != nil {
		toSerialize["session"] = o.Session
	}
	return json.Marshal(toSerialize)
}

type NullableSignUpResult struct {
	value *SignUpResult
	isSet bool
}

func (v NullableSignUpResult) Get() *SignUpResult {
	return v.value
}

func (v *NullableSignUpResult) Set(val *SignUpResult) {
	v.value = val
	v.isSet = true
}

func (v NullableSignUpResult) IsSet() bool {
	return v.isSet
}

func (v *NullableSignUpResult) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableSignUpResult(val *SignUpResult) *NullableSignUpResult {
	return &NullableSignUpResult{value: val, isSet: true}
}

func (v NullableSignUpResult) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableSignUpResult) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


